Subject: Re: [Idr] On the Calculation of Entropy Labels

From: <[email-masked]>
Date: Wed, 2 Jun 2021 18:40:13 +0800 (CST)

Hi Robin,
Sorry for my late reply.  Please see inline.

Best Regards,
Yao

------------------原始邮件------------------
发件人：Lizhenbin
收件人：刘尧00165286;
抄送人：[email-masked];
日 期 ：2021年03月22日 11:35
主 题 ：RE: [Idr] On the Calculation of Entropy Labels
" _ue_custom_node_="true">
Hi Yao,
Sorry for the late reply. The following information is for your reference:
1. The draft is as follows. In the presentation, we proposed the example to calculate the entropy label for the specific prefix and download the  entropy label and the VPN label together for better load sharing in the network.
https://tools.ietf.org/html/draft-li-idr-mpls-path-programming-04

Yao>> Thanks for offering the information and I've read the draft. 
2. After the IDR session om which you did the presentation, I thought there is the difference between the idea in the draft and the draft in your  draft. The draft is calculate the entropy label for the PREFIX and the idea is to calculate the entropy label position for the SR path.

Yao>> Yes, you're right. The main idea of draft-zhou-idr-bgp-srmpls-elp is that the controller calculates the entropy label position and indicates it when distributing SR Policy.
3. I am a little doubtful about the benefit of calculating the position only. I am not sure about how will the position is calculated. If the fixed  position is calculated for the SR path, but the traffic flows with different destination address will be carried by the SR path and the entropy labels is randomly calculated, can the load sharing be improved?

Yao>> As introduced in RFC6790, the ingress router computes a hash based on a given packet to get the value of entropy label.
RFC8662 implies that the controller can be used to program a label stack while leaving room for the local node to add entropy labels.
draft-zhou-idr-bgp-srmpls-elp follows the ideas in RFC6790 and RFC8662, it mainly focuses on the inter-domain scenario where the end-to-end path is calculated by the controller and the ingress LSR doesn't know the ERLD and MSD of the nodes in other domains, so the controller just calculates the placement of ELs and tells the ingress node where to insert them. And the considerations for the placement of ELs in RFC8662 are still applicable.
Other mechanisms like your draft may provide better load balancing than RFC6790, but it's out of scope of this draft.
Best Regards,
Robin

From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 15, 2021 7:08 PM
To: [email-masked]; Lizhenbin <[email-masked]>
Subject: [Idr] On the Calculation of Entropy Labels
Hi Robin,
Thanks for your comments on draft-zhou-idr-bgp-srmpls-elp at the IDR meeting last week.
You mentioned that there's a work about calculating both the vlaue and the position of the entropy labels using the controller.
(Sorry I haven't find the draft, I would appreciate it if you could offer the name of the draft.)
Since the entropy label value for each flow may be different, the control needs to calculate the value and the position of ELs per flow, and needs to maintain the state of the label stack per flow.
The solution introduced in draft-zhou-idr-bgp-srmpls-elp is that the controller calculates the position of the ELs for each path. The method for calculating the EL value  is unchanged, the ingress router computes a hash based on several fields from a given packet.
The calculation and state in the controller is per path. This method is applicable to a network with many flows and ingress nodes.
Regards,
Yao